use crate::app::config::Configuration;
use crate::routes;
use rocket::Rocket;
use rocket::{Build, Route};

pub fn init(_config: &Configuration) -> super::InfallibleResult<Vec<Route>> {
    Ok(Some(routes::routes()))
}

pub fn register(
    rocket: Rocket<Build>,
    _config: &Configuration,
    routes: Vec<Route>,
) -> Rocket<Build> {
    rocket.mount("/", routes)
}
